%define upstream_name    Devel-Trace
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
A debugging module that prints out each line before it is executed
(like sh -x).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
echo "" | %{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README sample
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-9.mga8
+ Revision: 1494025
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-8.mga7
+ Revision: 1267267
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1025644
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 948181
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 750317
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 684339
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 510877
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 365829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 254863
- update to 0.12

* Mon Apr 11 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 83381
- update to 0.11

* Thu Jan 13 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 11009
- imported package perl-Devel-Trace


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 406983
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.10-5mdv2009.0
+ Revision: 256672
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.10-3mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.10-3mdv2007.0
+ Revision: 108542
- enable test, rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Devel-Trace

* Sat Jun 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-2mdk
- Rebuild

* Fri May 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.10-1mdk
- Initial mdk release

